%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CREATE COLORMAP
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [mappa] = create_my_colormap(nc, rgb1, rgb2, rgb3)

% initialize the color map array
mappa = zeros(nc,3);

% linear interpolation from rgb1 to rgb2
for i = 1:nc
    mappa(i,:) = rgb1 + (i-1)/(nc-1) * (rgb2-rgb1);
end

if nargin==4
    mappa(1,:) = rgb3;
end

% end of the function
return