%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FIND THE PARAMETER KAPPA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [kappa] = find_kappa(alphaP, lambda, alphaG)

% initialize time
ti0 = cputime;

% calculate the parameter kappa
kappa = 0.23*(alphaP*lambda)^(1-alphaG); % Doulatyari at al., 2015

% end time
te = cputime;
% fprintf('rain_raster_bis  : %10.3f s \n', te-ti0);

% end of the function
return