%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FIND THE RADIUS OF THE RAIN CELL
% 
% Author: Silvia Garbin
% Creation: february 2017
% Last update: march 2017
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [radius] = find_radius (nevents, mean_r)

% initialize the array
    radius = zeros(nevents,1);
    
% loop over the number of events per day (Nt(t))
    for ncoord = 1:nevents
        
        radius(ncoord) = max([ round( -log(1-rand(1))*mean_r)  1]);
        
%         if radius(ncoord) == 0
%             radius(ncoord) = 1;
%         end
    end

% end of function
return