%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FROM NODES TO RASTER NODES
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [raster_nodes, nnodes, node_net] = nodes2raster (rete, node)

% initialize the matrix
raster_nodes = rete;
node_net = rete*0.5;
    
% find number of nodes
nnodes = max(size(node));

% loop over each node
for jn = 1:nnodes
    raster_nodes(node(jn).k) = -1;
    
    node_net(node(jn).k) = jn;
end

% end of function
return
