% Pattern di Network Connectivity

% Initialize the code
clear variables; close all; clc; tic
close all; clc; tic
disp(datestr(now));

%% INITIALIZE THE CODE

if ispc == 1
    slash = '\';
elseif isunix == 1
    slash = '/';
end
directory = 'input';

% load the input files for plotting
nomefile = strcat(directory,slash,'runoff.txt'); 
load(nomefile);

nomefile = strcat(directory,slash,'meanstage.txt'); 
load(nomefile);
%%
figure1 = figure('units','normalized','outerposition',[0.01 0.01 0.98 0.98]);
set(figure1,'WindowStyle','docked')
plot(runoff(:,1),runoff(:,2),'o','MarkerSize',15,'MarkerEdgeColor','black','MarkerFaceColor','red');
hold on
plot(runoff(:,1),runoff(:,3),'o','MarkerSize',15,'MarkerEdgeColor','black','MarkerFaceColor','yellow');
hold on
plot(runoff(:,1),runoff(:,4),'o','MarkerSize',15,'MarkerEdgeColor','black','MarkerFaceColor','blue');
% hold on
% plot(Cnet_dry(:,1),Cnet_dry(:,5),'-o','MarkerSize',4,'LineWidth',1.5);

ylabel('\phi/\phi_{max} [-]','FontSize',25)
xlabel('Area [km^2]','FontSize',25)
% title('Intermediate climate','FontSize',17)
set(gca,'FontSize', 25, 'LineWidth',.5); %'fontname', 'times new roman')
%     grid on
%     set(gca,'gridlinestyle','--')
% LEG = legend('h^* = 50 mm','h^* = 100 mm',...
%     'h^* = 150 mm','h^* = 250 mm');
% set(LEG,'FontSize',14)
%%
figure1 = figure('units','normalized','outerposition',[0.01 0.01 0.98 0.98]);
set(figure1,'WindowStyle','docked')
plot(meanstage(:,1),meanstage(:,2),'o','MarkerSize',15,'MarkerEdgeColor','black','MarkerFaceColor','red');
hold on
plot(meanstage(:,1),meanstage(:,3),'o','MarkerSize',15,'MarkerEdgeColor','black','MarkerFaceColor','yellow');
hold on
plot(meanstage(:,1),meanstage(:,4),'o','MarkerSize',15,'MarkerEdgeColor','black','MarkerFaceColor','blue');

ylabel('<h> [mm]','FontSize',25)
xlabel('Area [km^2]','FontSize',25)
% title('Intermediate climate','FontSize',17)
set(gca,'FontSize', 25, 'LineWidth',.5); %'fontname', 'times new roman')
%     grid on
%     set(gca,'gridlinestyle','--')
% LEG = legend('dry climate','intermediate-wet climate');
% set(LEG,'FontSize',14)