close all;
% create temporary files
data_temp = data.node_data;
ncQ_temp = NC_q;
ncH_temp = NC_h;

% clearvars -except data_temp ncQ_temp ncH_temp

for jn = 1:length(data_temp)
data_temp(jn).Area = data_temp(jn).fla.*36*36/10^6;
end

% select specific nodes

% data_temp = [data_temp(77) data_temp(76) data_temp(75) data_temp(72) data_temp(67) ...
%     data_temp(68) data_temp(59) data_temp(55) data_temp(31) data_temp(28) data_temp(20)...
%     data_temp(19) data_temp(16) data_temp(17) data_temp(24) data_temp(35) data_temp(39)...
%     data_temp(52) data_temp(56) data_temp(65) data_temp(66) data_temp(63) data_temp(57)...
%     data_temp(49) data_temp(41) data_temp(32)];

data_temp = [data_temp(54) data_temp(43) data_temp(44) data_temp(45) data_temp(47) ...
    data_temp(36) data_temp(22) data_temp(20) ...
    data_temp(19) data_temp(16) data_temp(17) data_temp(24) data_temp(35) data_temp(39)...
    data_temp(52) data_temp(56) data_temp(65) data_temp(66) data_temp(63) data_temp(57)...
    data_temp(49) data_temp(41) data_temp(32)];


% data_temp = [data_temp(50) data_temp(51) data_temp(53) data_temp(70) data_temp(62) ...
%     data_temp(64) data_temp(65) data_temp(66) data_temp(63) data_temp(57)...
%     data_temp(49) data_temp(41) data_temp(32)];
% % 
% data_temp = [data_temp(14) data_temp(16) data_temp(18) data_temp(23) data_temp(13) ...
%     data_temp(12) data_temp(10) data_temp(9) data_temp(20) data_temp(25) data_temp(29) data_temp(17)];

% data_temp = [data_temp(26) data_temp(22) data_temp(23) data_temp(13) data_temp(12) ...
%     data_temp(10) data_temp(9) data_temp(20) data_temp(25) data_temp(29) data_temp(17)];

% data_temp = [data_temp(6) data_temp(3) data_temp(4) data_temp(5) data_temp(7) ...
%     data_temp(10) data_temp(9) data_temp(20) data_temp(25) data_temp(29) data_temp(17)];

% data_temp = [data_temp(2) data_temp(4) data_temp(5) data_temp(7) ...
%     data_temp(10) data_temp(9) data_temp(20) data_temp(25) data_temp(29) data_temp(17)];

% data_temp = [data_temp(32) data_temp(31) data_temp(27) data_temp(12) ...
%     data_temp(10) data_temp(9) data_temp(20) data_temp(25) data_temp(29) data_temp(17)];

% data_temp = [data_temp(30) data_temp(31) data_temp(27) data_temp(12) ...
%     data_temp(10) data_temp(9) data_temp(20) data_temp(25) data_temp(29) data_temp(17)];


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% SORT NODES WITH RESPECT TO AREA
% for jk = 1:length(data_temp)-1
%     for jk1 = jk+1:length(data_temp)
%         if data_temp(jk1).Area < data_temp(jk).Area
%             aux = data_temp(jk);
%             data_temp(jk) = data_temp(jk1);
%             data_temp(jk1) = aux;
%         end
%     end
% end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nome = repmat(struct('nome', 0), length(data_temp), 1);

% set figure properties
RGB= [0 40 85;
     %0 75 135;
     0 94 184;
     0 163 224;
     %65 182 230;
     113 197 232]/255;
 
colori = create_my_colormap_ncolors(8, 4, RGB); % (11,4,RGB)
set(groot,'defaultAxesColorOrder',colori)

% colori = [0 85 128;
%     0 212 0;
%     170 85 255;
%     255 153 51;
%     85 170 255;
%     255 216 0;
%     255 170 255;
%     153 0 102;
%     152 203 255;
%     194 178 128]/255;
% set(groot,'defaultAxesColorOrder',colori)

figure1 = figure('units','normalized','outerposition',[0.01 0.01 0.98 0.98]);
% set(figure1,'WindowStyle','docked')

% loop over the nodes
for jn = 1:length(data_temp)
    
    if data_temp(jn).a < 1
% there is an atom of probability
    atom = data_temp(jn).kappa/data_temp(jn).lambda;
    else
        atom = 0;
    end
    
    
%     fplot(data_temp(jn).pdfQ_cont, [0 1]);
    fplot(data_temp(jn).pdfH,[0 500]);
    set(findobj(gca), 'LineWidth', 4);
    
        % non plotto l'atomo senn� non vedo niente
    
%     hold on
%     if atom>0
%     plot(0,ncH_temp(jn).*ncQ_temp(jn).*atom,'*');
%     end

    
      
%  plot([h_star,h_star],[0,0.007],'r-','LineWidth',3);
%  plot([200,200],[0,0.032],'r-','LineWidth',3);
 
 
 hold on
%  plot ([data_temp(jn).h_media;data_temp(jn).h_media],[0,0.02],'k-','LineWidth',3);
%  plot ([data_temp(jn).q;data_temp(jn).q],[0,1.5],'k-','LineWidth',3);
 


if data_temp(jn).fla < 100
  nome(jn).nome = strcat({'   '}, num2str(round(data_temp(jn).Area)),' km^{2}');
elseif data_temp(jn).fla < 1000
  nome(jn).nome = strcat({'  '}, num2str(round(data_temp(jn).Area)),' km^{2}');
elseif data_temp(jn).fla < 10000
    nome(jn).nome = strcat({' '},num2str(round(data_temp(jn).Area)),' km^{2}');
elseif data_temp(jn).fla < 100000
    nome(jn).nome = strcat(num2str(round(data_temp(jn).Area)),' km^{2}');
end




% title({'\lambda_P = 0.1 d^{-1}'})
ylabel('PDF(h) [1/mm]')
xlabel('h [mm]')
 xlim([240 260])
 ylim([0 0.0005])

% title('Intermediate climate - \lambda_P = 1 d^{-1}','FontSize',17)
set(gca,'FontSize', 25, 'LineWidth',.5); %'fontname', 'times new roman');

% grid on
% grid minor

hold on
pause (0.5)

end

% LEG = legend(cat(1,nome.nome));
% set(LEG,'FontSize',20,'location','northeastoutsid')

% saveas(gcf,'pdf(H)1.png')


% SET DEFAULT COLOR ORDER
set(groot,'defaultAxesColorOrder',[0    0.4470    0.7410;
    0.8500    0.3250    0.0980;
    0.9290    0.6940    0.1250;
    0.4940    0.1840    0.5560;
    0.4660    0.6740    0.1880;
    0.3010    0.7450    0.9330;
    0.6350    0.0780    0.1840]);

%%
% figure1 = figure('units','normalized','outerposition',[0.01 0.01 0.98 0.98]);
% set(figure1,'WindowStyle','docked')
% 
% % loop over the nodes
% for jn = 1:length(data_temp)
%     
%     if data_temp(jn).a < 1
% % there is an atom of probability
%     atom = data_temp(jn).kappa/data_temp(jn).lambda;
%     else
%         atom = 0;
%     end
%     
%     
%     fplot(data_temp(jn).pdfQ_cont,[0 2]);
%     set(findobj(gca), 'LineWidth', 3);
%     
%     % non plotto l'atomo senn� non vedo niente
%     
% %   hold on     
% %  plot([150,150],[0,0.04],'k-','LineWidth',3);   
% 
% 
% if data_temp(jn).fla < 100
%   nome(jn).nome = strcat({'   '}, num2str(round(data_temp(jn).Area)),' km^{2}');
% elseif data_temp(jn).fla < 1000
%   nome(jn).nome = strcat({'  '}, num2str(round(data_temp(jn).Area)),' km^{2}');
% elseif data_temp(jn).fla < 10000
%     nome(jn).nome = strcat({' '},num2str(round(data_temp(jn).Area)),' km^{2}');
% elseif data_temp(jn).fla < 100000
%     nome(jn).nome = strcat(num2str(round(data_temp(jn).Area)),' km^{2}');
% end
% 
% 
% 
% 
% % title({'\lambda_P = 0.1 d^{-1}'})
% ylabel('PDF(q)[d/mm]')
% xlabel('q[mm/d]')
% set(gca,'FontSize', 18, 'LineWidth',.5); %'fontname', 'times new roman');
% % grid on
% % grid minor
% 
% hold on
% % pause (0.5)
% pause;
% 
% end
% 
% % legend(cat(1,nome.nome))
% 
% % saveas(gcf,'pdf(H)1.png')
% 
% 
% %%
% % SET DEFAULT COLOR ORDER
% set(groot,'defaultAxesColorOrder',[0    0.4470    0.7410;
%     0.8500    0.3250    0.0980;
%     0.9290    0.6940    0.1250;
%     0.4940    0.1840    0.5560;
%     0.4660    0.6740    0.1880;
%     0.3010    0.7450    0.9330;
%     0.6350    0.0780    0.1840]);