%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FIND THE DOWNSTREAM NODE FOLLOWING FLOW DIRECTIONS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [inew,jnew,knew,step]=D8_FLD(i,j,FLD)

if isnan( FLD(i,j))
    inew = nan;
    jnew = nan;
    knew = nan;
    step = nan;
    return
end

% Horizontal coord. (j)
if FLD(i,j)==32 || FLD(i,j)==16 || FLD(i,j)==8
    jnew=j-1;
elseif FLD(i,j)==128 || FLD(i,j)==1 || FLD(i,j)==2
    jnew=j+1;
else
    jnew=j;
end
% Vertical coord. (i)
if FLD(i,j)==32 || FLD(i,j)==64 || FLD(i,j)==128
    inew=i-1;
elseif FLD(i,j)==8 || FLD(i,j)==4 || FLD(i,j)==2
    inew=i+1;
else
    inew=i;
end

knew=sub2ind(size(FLD),inew,jnew);

% find the step
if FLD(i,j)==1 || FLD(i,j)==4 || FLD(i,j)==16 || FLD(i,j)==32
% I'm moving in the next pixel
    step = 1;
% I'm moving in the diagonal pixel
else step = sqrt(2);
end

% end of the function
return



