%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FIND THE INTENSITY OF THE RAIN CELL
% 
% Author: Silvia Garbin
% Creation: february 2017
% Last update: march 2017
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [intensity] = find_intensity (nevents, alpha)

% initialize the array
    intensity = zeros(nevents,1);
    
% loop over the number of events per day (Nt(t))
    for ncoord = 1:nevents
        
        intensity(ncoord) = max([round( -log(1-rand(1))*alpha(ncoord,1)) ...
            1]);
        
%         if intensity(ncoord) == 0
%             intensity(ncoord) = 1;
%         end
        
    end

% end of function
return