% -------------------------------------------------------------------------
% INTERPOLATION
% This function interpolates G(l) vs N(l) graph to obtain parameter a
% (slope).
% 
% This function works in alpha_geomorph.m
%--------------------------------------------------------------------------
% 
% Authors: Silvia Garbin
% Creation: july 2016
% Last update: 
% 
% -------------------------------------------------------------------------

function [x]=interpolation(GL,NL)

x0=[0.5 0.5 1];
F=@(x,xdata)x(1)+(xdata>x(2))*x(3).*(xdata-x(2));
[x]=lsqcurvefit(F,x0,GL,NL);

% [x]=lsqcurvefit(F,x0,GL1,NL1);
% 
% figure()
% plot(GL,NL,'ob')
% hold on
% plot(GL,F(x,GL),'-r','LineWidth',2)
% hold off



