% LINEAR REGRESSION FITTING
function [m, q] = linear_regression_fitting(N, x, y)

% compute the slope
m = (N * sum(x.*y) - sum(x)*sum(y)) / (N*sum(x.^2)-(sum(x))^2);

% compute the intercept
q = (sum(x.^2)*sum(y) - sum(x.*y) * sum(x)) / (N*sum(x.^2)-(sum(x))^2);

% end of the function
return