%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FIND PATH OF NODES IN WHICH THERE IS THE MAX NUMBER OF NODES
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [path_out, node] = path2out (nnode, node, noderaster, ...
    k_out, vettore_scarico, step)

% initialize time
ti0 = cputime;

% initialize the structure
path_out = repmat(struct('nnode',0,'out_path',0,'L',0),nnode,1);

% initialize the maximum number of nodes in a path
max_knode = 0;

% loop for each path
for jpath = 1:nnode
    
% initialize the path vector
    path = 0;
    
% initialize the counter in each path
    knode = 1;
    
% initialize the pointer
    pixel = node(jpath).k;
    
% initialize the lenght
lunghezza = 0;
    
%% START THE COUNTING 

% save the node path
    path(knode) = pixel;    

% LOOP OVER THE CORRENT PATH
    while pixel ~= k_out

% update the pixel
        pixel = vettore_scarico(pixel);
        
% unpate length to the outlet
        lunghezza = lunghezza + step(pixel); 
        
% check if the current pixel is a node
        if noderaster(pixel) == -1
            
% undate the counter of the node
            knode = knode +1;
            
% save the node path
            path(knode) = pixel;
        end
        
% end of the loop over each path        
    end
       
    path_out(jpath).nnode = knode;
    path_out(jpath).out_path = path;
    path_out(jpath).L = lunghezza;
    node(jpath).L2out = lunghezza;
    
    max_knode = max(max_knode, knode);
    
    clear path
    
end

% end time
te = cputime;
% link_data(end) = [];
fprintf('path2out : %10.3f s \n', te-ti0);

%%


% end of the function
return
