function [percorsi] = paths_from_source(num_percorsi, pxl_ext, vettore_scarico, outlet)

% initialize time
ti = cputime;

% initialize the storage array for paths
percorsi = repmat(struct('p',0), num_percorsi, 1);

% loop over the source pixels
for jpath = 1:num_percorsi
    
% set the first node of the path as the current source node
    k = pxl_ext(jpath);
    aux = k;

    while vettore_scarico(k) ~= outlet
        k = vettore_scarico(k);
%                              fprintf('%u %u \n', jpath, k);
        aux_new = [aux; k];
        aux = aux_new;
    end
    aux_new = [aux; outlet];
    percorsi(jpath).p = aux_new;
    
end

% initialize time
te = cputime;
fprintf('paths      : %10.3f s \n', te-ti);

% end of the function
return