% plot node_network
figure1 = figure('units','normalized','outerposition',[0.01 0.01 0.98 0.98]);
node_ntw = data.node_ntw;
% set left limit
node_ntw(node_ntw==0) = nan;
xleft = find(sum(~isnan(node_ntw),1) > 0, 1 ,'first');
xright = find(sum(~isnan(node_ntw),1) > 0, 1 ,'last');
yup = find(sum(~isnan(node_ntw),2) > 0, 1 ,'first');
ydown = find(sum(~isnan(node_ntw),2) > 0, 1 ,'last');

xleft = max(floor(xleft/10)*10 - 10,1);
xright = min(ceil(xright/10)*10 + 10,size(node_ntw,2));
yup = max(floor(yup/10)*10 - 10,1);
ydown = min(ceil(ydown/10)*10 + 10,size(node_ntw,1));

node_ntw(isnan(node_ntw)) = 0;
raster1 = node_ntw(yup:ydown,xleft:xright);

imagesc(raster1');

% RGB = [153   0   0;% venice red
% 255   0   0;
% 255 242   0;
%  0 255 255; %light green
%  0   0 255;
%  0   0 153]/255; %prussian blue    

% prova_4colori = create_my_colormap_ncolors(70, 6, RGB, [1 1 1]);

RGB = [153 0 0]/255; %venice red 

colori = create_my_colormap_ncolors(77, 3, RGB, [1 1 1]);

colormap(colori);

caxis([0, max(node_ntw(:))])
% colorbar;

set(gca,'XTick',[],'YTick',[],'FontSize', 15); %'fontname', 'times new roman');
%     title('LocalConnectivity for \lambda_{P} = 1 d^{-1}','FontSize', 15); % 'fontname', 'times new roman');
%     axis square
%     saveas(gcf,'LocalConnectivity_1-150.png')
