%% CREATE SHAPEFILE

function [shp]= shapefile(matrix,pxl_dim)

% Assign header information (rows, columns, lower left corner coord, raster
% cell size)
[nrows,ncols]=size(matrix);
m=nrows; n=ncols; xll=1; yll=1; dx=pxl_dim;

% Preallocate shp map
shpmap=matrix;

% Preallocate counter for shapefile
shpcont=0;
for i=1:m
    for j=1:n
        if shpmap(i,j)>0 
% Position of the matrix
            iint=i; jint=j;
            % Shapefile creation
            shpcont=shpcont+1;
            shp(shpcont).Geometry = deal('Point'); % Geometry
            shp(shpcont).X=xll +jint*dx; % X
            shp(shpcont).Y=yll+(m-iint)*dx; % Y
            shp(shpcont).attribute=matrix(iint,jint); % attribute
        end

    end
    
end

% Create shapefile
% shapewrite(shp,'shp_SO.shp');